.btn {
    outline: none;
    cursor: pointer;
    height: rem(40);
    font-weight: 700;
    font-size: rem(12);
    line-height: rem(20);
    padding: rem(4) rem(16);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    border: 1px solid transparent;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: 8px;

    &:hover {
        text-decoration: none;
    }

    &:active {
        background: #ffdd2d;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    @include media-breakpoint-up(md) {
        height: rem(48);
        font-size: rem(16);
        padding: rem(4) rem(20);
    }
}

.btn-sm {
    height: rem(32);

    @include media-breakpoint-up(md) {
        height: rem(48);
    }
}

.btn-blue {
    color: #446AD2;
    background: $white;
    border-color: #446AD2;
    transition: .25s;

    &:hover {
        color: #446AD2;
        background: rgba(68, 106, 210, 0.1);
    }

    &:active {
        color: $blue;
        background: $white;
    }
}

.btn-black {
    color: #212121;
    background: $white;
    border-color: #212121;
    transition: .25s;

    &:hover {
        color: #212121;
        background: #F3F3F3;
    }

    &:active {
        color: #212121;
        background: $white;
    }
}

.btn-yellow {
    color: #212121;
    background: $yellow;
    border-color: $yellow;
    transition: .25s;

    &:hover {
        color: #212121;
        background: #FDBE3A;
        border-color: #FDBE3A;
    }

    &:active {
        color: $black;
        background: $yellow;
        border-color: $yellow;
    }
}

.btn-link {
    color: #212121;
    transition: .25s;

    &:hover {
        color: #212121;
        border-color: #E6E9ED;
        transition: .25s;
    }

    &:active {
        color: #212121;
        border-color: transparent;
    }
}
